@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;700;900&display=swap');

@font-face {
    font-family: 'Poppins';
    src: url('../fonts/Poppins-ExtraBold.otf') format('opentype');
    font-weight: 800;
}

@font-face {
    font-family: 'Poppins';
    src: url('../fonts/Poppins-SemiBold.otf') format('opentype');
    font-weight: 600;
}

@font-face {
    font-family: 'RLAqva';
    src: url('../fonts/RLAqva-Black.otf') format('opentype');
    font-weight: 900;
}

@font-face {
    font-family: 'SharpSans';
    src: url('../fonts/SharpSansDispNo1-SemiBoldIt.ttf') format('truetype');
    font-weight: 600;
    font-style: italic;
}

:root {
  --red-color: #CE0000;
  --dark-white-color: #F4F4F4;
  /*--font-family: 'Montserrat', sans-serif;*/
  --dark-white-colorV2: #dedede;
}

/*DEBUG */
/* {
  outline: 1px solid red !important;
}*/

/*
.boton-lateral {
  position: fixed;
  right: 0px;
  top: 50%;
  width: 10%;
  height: 10%;
  font-family: var(--font-family);
  font-weight: 600 !important;
  font-size: 1rem;
  transform: translateY(-50%);
  z-index: 1000;
  background-color: black;
  color: white;
  border: none;
  border-radius: 20px 0px 0px 20px;
  cursor: pointer;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);

}
  */

.boton-lateral {
  position: sticky;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
  z-index: 1000;
  padding: 30px 20px;
  font-family: var(--font-family);
  font-weight: 600 !important;
  font-size: 1rem;
  background-color: black;
  color: white;
  border: none;
  border-radius: 20px 0px 0px 20px;
  cursor: pointer;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);

}

.boton-lateral a {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  width: 100%;
  height: 100%;
  text-decoration: none;
  color: white;
}


.boton-lateral:hover {
  background-color: var(--red-color);
}

.Tu-momento-feliz {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 20px;  /* Espacio entre el título y el botón */
    width: 100%;
    margin-left: 155px;
    margin-right: 160px;
}

.banner{
  background-image: url(../img/Banner-Landing.png);
}

.banner-first {
    color: white;
    font-size: 4rem;  /* Ajusta el tamaño según necesites */
    font-weight: 900 !important;
    margin: 0;
    line-height: 1.1;
    text-align: start;
    width: 20%;
    margin-bottom: 55px;
    font-family: 'RLAqva', sans-serif ;
}

.appl_button {
    background-color: #FF0000;  /* Rojo como en la imagen */
    color: white;
    padding: 10px 20px;
    border: solid black;
    cursor: pointer;
    font-weight: bold;
    width: fit-content;
    align-self: end;
    margin-bottom: 55px;
    box-shadow: 5px 5px 0 black;
    border-width: 4px;
}

.appl_button a {
    color: white;
    text-decoration: none;
    font-family: 'RLAqva', sans-serif;
}

.author .appl_button {
  align-self: center;
}

.beneficios-section {
  /*max-width: 1200px;*/
  /*margin: 0 auto; */
  margin-top: 100px;
  padding: 50px 20px;
  text-align: center;
  background-color: white;
  position: relative;
  box-shadow: 5px 2px 10px rgba(0, 0, 0, 0.3);
}

.cuadros{
  position:absolute;
  top: -66px;
  right: 0;
}

.beneficios-title {
  margin-bottom: 30px;
}

.beneficios-title h2 {
  font-size: 2.5rem;
  margin-bottom: 20px;
  color: var(--red-color);
  font-weight: 400 !important;
}

.beneficios-title h2 span {
  color: #FF0000;
  font-weight: 700;
}

.beneficios-title p {
  font-size: 1.5rem;
  margin: 0 auto;
  line-height: 1.6;
}


.beneficios-grid {
  display: flex;
  margin-top: 50px;
  gap: 3%;
  justify-content: center;
  flex-wrap: wrap;
}


.beneficio-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 15px;
}

.beneficio-icon {
  width: 100px;
  height: 100px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 15px;
}

.beneficio-icon img {
  width: 60px;
  height: 60px;
  object-fit: contain;
}

.beneficio-text {
  width: 200px;
  height: 80px;
}

.beneficio-text-red {
  color: var(--red-color);
  font-size: 20px;
  font-weight: bold;
  margin-bottom: 5px;
}

.beneficio-text-black {
  font-size: 20px;
  color: #333;
}


/* Section tarjetas empleados*/

.person-cards {
    padding: 40px 0;
    /*max-width: 1200px;*/
    margin: 0 auto;
    overflow: hidden;
    margin-top: 40px;
    width: 80%;
    height: 90vh;
    margin-bottom: 80px;
}

.person-cards .cards-title h2 {
  color: #FF0000;
    text-align: center;
    margin-bottom: 30px;
    font-size: 40px;
    font-family:'Poppins', sans-serif ;
    font-weight: 900 !important;
}

 .person-cards .card-container {
    display: flex;
    gap: 15px;
    height: 84%;
}

/* TARJETA */
.person-cards .card {
    flex: 1;
    position: relative;
    overflow: hidden;
    border-radius: 25px;
    transition: flex 0.35s ease;
    cursor: pointer;
}

/* CRECIMIENTO DE TARJETA */
.person-cards .card.active {
    flex: 3;
}

/* WRAPPER DE IMAGEN (soluciona tu problema visual) */
.person-cards .card-img-wrapper {
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.person-cards .card-img-wrapper img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform .3s ease;
}

/* OPCIONAL: zoom leve cuando está activa */
.person-cards .card.active .card-img-wrapper img {
    transform: scale(1);
}

/* OVERLAY */
.person-cards .card-overlay {
    position: absolute;
    inset: 0;
    background: linear-gradient(to top, rgba(255, 0, 0, 0.85), transparent);
    opacity: 0;
    transition: opacity 0.3s ease;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    padding-bottom: 30px;
}

/* Overlay visible solo si activa */
.person-cards .card.active .card-overlay {
    opacity: 1;
}

/* CONTENIDO DEL TEXTO */
.person-cards .card-content {
    text-align: center;
    color: white;
    transform: translateY(20px);
    opacity: 0;
    transition: all 0.3s ease;
}

.person-cards .card.active .card-content {
    opacity: 1;
    transform: translateY(0);
}

.person-cards .card-title {
    font-size: 20px;
    font-weight: bold;
    margin-bottom: 10px;
}

.person-cards .appl_button {
    border-radius: 20px;
    background-color: #CE0000;
    color: white;
    padding: 15px 30px;
    border: none;
    cursor: pointer;
    margin-top: 10px;
    margin-bottom: 30px;
    font-size: 1.5rem;
    font-weight: bolder;
    align-self: center;
    border: solid white;
}

/*  UNETE SECTION*/

.unete{
  display:flex;
  width: 100%;
  height: 30vh;
  justify-content: space-evenly;
  margin-bottom: 200px;
}

 .unete .video-container{
  display: flex;
  width: 91%;
  height: 100%;
  justify-content: center;
}

.unete .video-container iframe{
  height: 100%;
  width: 80%;
  border-radius: 20px;
}


.unete .text-container{
  display: flex;
  width: 45%;
  justify-content: center;
  align-items: center;
  margin-right: 22px;
}

.unete .text-container p {
  font-size: 3rem;
  text-align: center;

}

.unete .text-container p .red{
  color: #EA0029;
  font-weight: 600 !important;
}


/* 100 PALABRAS PODEROSAS */

.cien-palabras-poderosas{
  height: 60vh;
  display: flex;
  flex-direction: row-reverse;
  background-color: #FF0000;
  margin: 0 6%;
  justify-content: center;
  align-items: center;
}

.cien-palabras-poderosas .video-container{
  display: flex;
  justify-content: center;
  align-items: center;
}

.cien-palabras-poderosas .video-container iframe{
  width: 80%;
  height: 80%;
  border-radius: 20px;
}

.cien-palabras-poderosas .video-container{
  width: 100%;
  height: 70%;
}

.cien-palabras-poderosas .text-container{
  width: 33%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin-left: 55px;
}

.cien-palabras-poderosas .text-container h2{
  text-align: start;
  margin: 0;
  color: white;
  font-size: 2.5rem;
}

.cien-palabras-poderosas .text-container p{
  text-align: start;
  margin: 0;
  color: white;
  font-size: 1.5rem;
  width: 79%;
}

.person-cards .details_button {
  width: 220px;
  height: 50px;
  padding: 12px 20px;
  font-size: 16px;
  align-self: center;
  border-radius: 20px;
  background-color: var(--dark-white-colorV2);
  border: none;
  cursor: pointer;
  margin-top: 10px;
  font-weight: bold;
}

.details_button a {
  color: black;
  text-decoration: none;
  display: block;
  width: 100%;
}

.swiper-button-next,
.swiper-button-prev {
  color: white;
  background: var(--red-color);
  width: 40px;
  height: 40px;
  border-radius: 50%;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
}

.swiper-button-next {
  right: 0px;
}

.swiper-button-prev {
  left: 0px;
}

.swiper-button-next:after,
.swiper-button-prev:after {
  font-size: 18px;
}


.swiper-button-next2,
.swiper-button-prev2 {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  z-index: 10;
  color: white;
  background: var(--red-color);
  width: 40px;
  height: 40px;
  border-radius: 50%;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
}

.swiper-button-next2 {
  right: 10px;
}

.swiper-button-prev2 {
  left: 10px;
}

.swiper-button-next2:after,
.swiper-button-prev2:after {
  font-size: 18px;
}

.swiper-wrapper {
  align-items: flex-end;
}

.swiper-container {
  clip-path: inset(0);
}

.no-experiencia {
  margin-top: 50px;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.no-experiencia h2 {
  color: var(--red-color);
  font-size: 3rem;
  margin-bottom: 15px;
  font-family: 'RLAqva', sans-serif;
}

.no-experiencia div {
  color: black;
  font-size: 2.4rem;
  max-width: 100%;
}


.container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 20px;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.left-column {
  flex: 1;
  min-width: 300px;
  max-width: 600px;
  padding-right: 70px;
}


.conocenos{
  overflow: hidden;
}

.mision-y-valores h2 {
  color: #000;
  font-size: 28px;
  margin-bottom: 20px;
  text-align: left;
}

.nuesta-mission-item {
  margin-bottom: 15px;
}

.nuestra-mission-header {
  background-color: #CE0000;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 15px 20px;
  cursor: pointer;
  color: white;
}

.nuestra-mission-header h2 {
  margin: 0;
  font-size: 24px;
  color: white;
}

.nuestra-mission-header .icon-container {
  background-color: black;
  border-radius: 50%;
  width: 35px;
  height: 35px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.nuestra-mission-content {
  display: none;
  padding: 10px 0;
  line-height: 1.4;
  font-size: 20px;
  text-align: left;
}

.nuesta-mission-item.active .nuestra-mission-content {
  display: block;
}


.right-column {
  min-width: 300px;
  display: flex;
  justify-content: center;
}

.main-image-container {
  position: relative;
  border-radius: 15px;
  width: 530px;
  height: 500px; 
}

.main-image-container::before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 75%;
  background: red;
  border-radius: 20px;
  z-index: 1;
}

.main-image {
  position: absolute;
  bottom: -9px;
  left: 48%;
  transform: translateX(-50%);
  height: 97%;
  z-index: 2;
}

.cta {
  height: 30vh;
}

.cta-banner {
  background-color: #FF0000;
  border-radius: 15px;
  padding: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
  max-width: 1200px;
  margin: 30px auto;
  height: 100%;
}

.cta-text {
  color: white;
  font-size: 3.0rem;
  font-weight: 700;
  line-height: 1.2;
  /* transform: scaleX(1.15);*/
}


.cta-input {
  border: none;
  padding: 12px 15px;
  font-size: 16px;
  outline: none;
  min-width: 200px;
}

/* BORRAR: Se movió a style.css para que lo usen todas las paginas */
/*
.video-container {
  width: 100%;
  height: 100%;
  overflow: hidden;
  position: relative;
}

.thumbnail-wrapper {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  cursor: pointer;
  z-index: 2;

  display: flex;
  flex-direction: column;
  align-items: center;

}

.video-thumbnail {
  width: 98%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  border-radius: 15px;
  display: block;
}

*/

.youtube-player {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}

.youtube-player iframe {
  width: 97%;
  height: 100%;
  border: none;
  border-radius: 20px;

}

/* El iframe es invisible hasta que se hace clic */
.thumbnail-wrapper.hidden {
  display: none;
  z-index: 1;
}

.youtube-player.active {
  z-index: 3;
}


@media (max-width: 767px) {

  .banner{
    width: 93% !important;
  }
  .video-container {
    width: 100%;
    /* height: 297px; */
    /* o la altura que necesites */
    overflow: hidden;
    position: relative;
  }

  .youtube-player {
    display: block !important;
    width: 100% !important;
    height: 90% !important;
  }

  .video-thumbnail {
    width: 50%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    border-radius: 15px;
    display: block;
  }

  .thumbnail-wrapper {
    position: absolute;
    top: 0;
    left: 150px;
    width: 100%;
    height: 100%;
    cursor: pointer;
    z-index: 2;
  }

  .unete{
    height: 99vh !important;
    margin-bottom: 50px !important;
  }

  .unete .text-container{
    width: 94% !important;
  }

  .unete .video-container{
      width: 116% !important;
      height: 32% !important;
  }

  .cien-palabras-poderosas .text-container h2{
    width: 100% !important;
  }

  .cien-palabras-poderosas .text-container p{
    width: 100% !important;
    text-align: center !important;
  }

  .cien-palabras-poderosas .video-container{
    width: 116% !important;
    height: 56% !important;
  }

  .main-image-container{
    width: 330px;
    height: 330px;
  }

  .main-image{
    width: 550px !important;
  }
}

/* Responsive */
@media (max-width: 600px) {
  .cta-banner {
    flex-direction: column;
    gap: 20px;
    text-align: center;
    margin: 0 20px;
  }

  .cta {
    height: 160px;
  }

  .cta-text {
    font-size: 1.6rem;
  }
}

@media (max-width: 768px) {
  .card-content1 {
    width: 80%;
  }
}

@media (max-width: 860px) {

  .banner .izquierda .banner-first,
  .banner .izquierda .banner-second {
    font-size: 1.8rem;
  }

  .izquierda h1 {
    width: 85%;
  }

  .beneficios-grid {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .beneficio-item{
    flex-direction: row;
  }

  .beneficios-swiper {
    display: block;
  }

  .beneficios-title h2 {
    font-size: 1.6rem;
  }

  .beneficios-title p {
    font-size: 1.2rem;
  }

  .no-experiencia {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 0;
  }

  .no-experiencia h2 {
    font-size: 25px;
    color: gray;
    margin-bottom: 0;
  }

  .no-experiencia div {
    font-size: 25px;
    color: gray;
    width: 85%;
    margin-top: 0;
  }

  .cards .titles h1 {
    font-size: 1.6rem;
    margin: 0 20px;
  }

  /*
  .swiper-button-next2,
  .swiper-button-prev2 {
    width: 30px;
    height: 30px;
  }
  */

  .person-cards .card .card-overlay {
    opacity: 1;
  }

  .person-cards .card .card-content {
    opacity: 1;
    transform: translateY(0);
  }

  /* Altura fija para las cards en el grid 2x2 */
  .person-cards {
    height: auto;
    width: 95%;
  }

  .person-cards .card-container {
    height: auto;
    grid-template-columns: repeat(2, 1fr);
  }

  .person-cards .card {
    height: 300px; /* Ajusta según tus imágenes */
    flex: unset;
    border-radius: 0;
  }

  /* Que el título sea más pequeño en mobile */
  .person-cards .card-title {
    font-size: 16px;
  }

  .person-cards .card-img-wrapper img {
    object-position: top center; /* Para que se vea la cara, no la cintura */
  }
  .person-cards .appl_button {
    display: none; /* Ocultar botón en mobile si quieres el look limpio */
  }

  .swiper-button-next2 {
    right: 5px;
  }

  .swiper-button-prev2 {
    left: 5px;
  }

  .outer-frame {
    position: absolute;
    width: calc(50% + 115px);
    height: calc(50% + 115px);
    border: 2px solid var(--red-color);
    border-radius: 25px;
    top: -20px;
    left: -20px;
    z-index: 1;
  }

  .bottom-right-frame {
    position: absolute;
    width: calc(50% + 115px);
    height: calc(50% + 115px);
    border: 2px solid var(--red-color);
    border-radius: 20px;
    bottom: -20px;
    right: -20px;
    z-index: 1;
  }

  .main-image {
    display: block;
    width: 880px;
    height: auto;
    background-color: transparent;
  }

  .main-image-container {
    position: relative;
    z-index: 2;
    border-radius: 15px;
    box-shadow: none;
  }

  .multi-frame-container {
    position: relative;
    max-width: 500px;
    margin-left: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .boton-lateral {
    display: none;
    /*
    width: 15%;
    font-size: 0.6rem; */
  }

  .conocenos {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    overflow: hidden;
  }

  .container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    flex-direction: column-reverse;
    align-items: center;
  }

  .left-column {
    flex: 1;
    min-width: 300px;
    max-width: 600px;
    padding-right: 0px;
  }

  .derecha {
    width: 100%;
    clip-path: none;
    height: 475px;
    margin-top: 0;
  }

  /* BANNER MOBILE */
  .banner {
    background-size: cover;
    background-position: center top;
    height: 90vh;
    width: 96%;
    display: flex;
    align-items: flex-end;
    position: relative;
    margin: 0 15px !important;
    overflow: hidden; 
  }

  .Tu-momento-feliz {
    flex-direction: column;
    margin: 0;
    width: 100%;
    height: 100%;
    gap: 0;
    align-items: center;
    justify-content: end;
    padding-bottom: 0;
  }

  .banner-first {
    font-size: 3rem;
    width: 80%;
    margin: 0 0 20px 20px;
    line-height: 1;
    text-align: center;
  }

  .banner .appl_button{
    align-self: center !important;
  }

  .unete{
    flex-direction: column-reverse;
    height: 70vh;
    justify-content: center;
    align-items: center;
    overflow: hidden;
  }

  .unete .video-container{
    width: 100%;
    height: 76%;
  }

  .unete .text-container{
    margin-right: 0;
    width: 58%;

  }

  .unete .text-container p{
    font-size: 2rem;
  }

  .unete .text-container p .red{
    font-size: 3rem;
  }

  .unete .text-container p .red .upper-case{
    font-size: 4.5rem;
  }

  .cien-palabras-poderosas{
    flex-direction: column-reverse;
    margin: 0;
    height: 70vh;
    overflow: hidden;
  }

  .cien-palabras-poderosas .text-container{
    width: 100%;
    margin-left: 0;
    align-items: center;
  }

  .cien-palabras-poderosas .text-container h2{
    width: 46%;
    text-align: center;
    margin-bottom: 20px;
  }

  .cien-palabras-poderosas .text-container p{
    width: 46%;
  }

  .cien-palabras-poderosas .video-container{
    width: 90%;
  }

  .cuadros{
    display: none;
  }

  .main-image-container::before{
    height: 66%;
  }

}

@media (max-width: 1200px) {
  .banner .izquierda .banner-first {
    font-size: 2rem;
  }
  .banner .izquierda .banner-second {
    font-size: 2rem;
  }
}

@media (max-width: 1024px) {
  .izquierda {
    width: 100%;
    padding: 0;
  }

  .derecha {
    width: 100%;
    clip-path: none;
    height: 60vw;
    margin-bottom: 0;
    min-height: unset;
  }

  .derecha iframe {
    height: 100%;
  }

  .person-cards {
    padding: 0;
  }
  .banner{
    flex-direction: row;
  }
}

@media (max-width: 480px) {
  .thumbnail-wrapper {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: auto;
    cursor: pointer;
    z-index: 2;
  }
  
  .cards-title {
    margin: 0 10px 0 10px;
  }

  .cards-title h2 {
    font-size: 25px;
  }

  .video-thumbnail {
    /* width: 100%; */
    /* height: 75%; */
    width: unset;
    height: unset;
    object-fit: unset;
    object-position: center;
    border-radius: 15px;
    display: block;
  }
}